Never Pummel Muskoxen

    @undercut/utils

    0.6.1 • Public • Published

    @undercut/utils

    downloads circleci codecov rms license

    JavaScript utilities for type checking, arrays, comparison, common functions, iterables, objects, promises, randomization, etc. The code is universal and works in Node/browser/microwave.

    • Based on existing JS protocols and language features
    • Composability and extensibility by design
    • Pure ES Modules with Node 14 loader compliance
    • Tree shaking friendliness
    • No external dependencies
    • TypeScript in JSDoc
    • RMS 0.3.0

    Please visit undercut.js.org for broader overview and documentation.

    Usage

    Undercut Demo

    import { isNumberValue } from "@undercut/utils";
    
    console.log(isNumberValue(123)); // true
    console.log(isNumberValue("hello")); // false
    console.log(isNumberValue(NaN)); // false

    Prerequisites

    The package is compliant with the Raw Module Specification 0.3.0 and provides original modern JavaScript code in the ESM format.

    You may need to compile the code and/or load polyfills depending on your environment. Look for exact minimum versions of @babel/preset-env and core-js in the package.json.

    Most modern apps already have such infrastructure or use similar tools. So most likely you don't have to do anything. If not, just add Babel to your build step.

    Installation

    npm install @undercut/utils
    # or
    yarn add @undercut/utils

    Updating

    As descibed in RMS: in case of upgrading the package to a newer version, please do so for @babel/preset-env and core-js too.

    License

    Licensed under the MIT License, see LICENSE for more information.

    Install

    npm i @undercut/utils

    DownloadsWeekly Downloads

    14

    Version

    0.6.1

    License

    MIT

    Unpacked Size

    26.8 kB

    Total Files

    15

    Last publish

    Collaborators

    • spyke